# Element Commands

- [Find Elements](https://docs.pylenium.io/element-commands/find-elements.md): Commands to find elements within the context of another element.
- [Element.should()](https://docs.pylenium.io/element-commands/should.md): A collection of expected conditions against an Element.
- [Actions](https://docs.pylenium.io/element-commands/actions.md): The commands that perform actions against the elements.
- [check](https://docs.pylenium.io/element-commands/actions/check.md): The command to select a checkbox or radio buttons.
- [clear](https://docs.pylenium.io/element-commands/actions/clear.md): The command to clear the input of the current element.
- [click](https://docs.pylenium.io/element-commands/actions/click.md): The command to click the element.
- [deselect](https://docs.pylenium.io/element-commands/actions/deselect.md): The command to deselect an \<option> within a multi \<select> element.
- [double\_click](https://docs.pylenium.io/element-commands/actions/double_click.md): The command to double click the element.
- [drag\_to](https://docs.pylenium.io/element-commands/actions/drag_to.md): The command to drag the current element to another element given its CSS selector.
- [drag\_to\_element](https://docs.pylenium.io/element-commands/actions/drag_to_element.md): The command to drag the current element to the given element.
- [focus](https://docs.pylenium.io/element-commands/actions/focus.md): The command to switch focus to the element.
- [hover](https://docs.pylenium.io/element-commands/actions/hover.md): The command to hover the element.
- [right\_click](https://docs.pylenium.io/element-commands/actions/right_click.md): The command to right-click the element.
- [scroll\_into\_view](https://docs.pylenium.io/element-commands/actions/scroll_into_view.md): The command to scroll this element into the viewport
- [select\_by\_index](https://docs.pylenium.io/element-commands/actions/select.md): The command to select an \<option> by its index within a \<select> dropdown element.
- [select\_by\_text](https://docs.pylenium.io/element-commands/actions/select_many.md): The command to select an \<option> by its text within a \<select> dropdown element.
- [select\_by\_value](https://docs.pylenium.io/element-commands/actions/select_many-1.md): The command to select an \<option> by its value within a \<select> dropdown element.
- [submit](https://docs.pylenium.io/element-commands/actions/submit.md): The command to submit a form or input element.
- [type](https://docs.pylenium.io/element-commands/actions/type.md): The command to type keys into a field, input or text box.
- [uncheck](https://docs.pylenium.io/element-commands/actions/uncheck.md): The command to deselect checkboxes and radio buttons.
- [upload](https://docs.pylenium.io/element-commands/actions/upload.md): The command to upload a file to the element.
- [Element Data](https://docs.pylenium.io/element-commands/element-data.md): The commands to get details or data about the current element.
- [css\_value](https://docs.pylenium.io/element-commands/element-data/css_value.md): Get the CSS Value of the element given the property name.
- [get\_attribute](https://docs.pylenium.io/element-commands/element-data/get_attribute.md): The command to get the attribute's value with the given name.
- [get\_property](https://docs.pylenium.io/element-commands/element-data/get_property.md): The command to get the specified property's value of the element.
- [tag\_name](https://docs.pylenium.io/element-commands/element-data/tag_name.md): The command that gets the current Element's tag name.
- [text](https://docs.pylenium.io/element-commands/element-data/text.md): The command to get the text of the current Element.
- [is\_checked](https://docs.pylenium.io/element-commands/element-data/is_checked.md): The command to check if this element is checked.
- [is\_displayed](https://docs.pylenium.io/element-commands/element-data/is_displayed.md): The command to check if this element is displayed.
- [is\_enabled](https://docs.pylenium.io/element-commands/element-data/is_enabled.md): The command to check if the element is enabled.
- [is\_selected](https://docs.pylenium.io/element-commands/element-data/is_selected.md): The command that checks if the element is selected.
- [Family](https://docs.pylenium.io/element-commands/family.md): The commands that find or work with other elements close to the current element.
- [children](https://docs.pylenium.io/element-commands/family/children.md): The command to get the children of the current element.
- [parent](https://docs.pylenium.io/element-commands/family/parent.md): The command to get the parent of the current element.
- [siblings](https://docs.pylenium.io/element-commands/family/siblings.md): The command to get the siblings of the current element.
- [open\_shadow\_dom](https://docs.pylenium.io/element-commands/open_shadow_dom.md): The command to open/expand a Shadow DOM element.
- [screenshot](https://docs.pylenium.io/element-commands/screenshot.md): The command to take a screenshot of the element.
- [webelement](https://docs.pylenium.io/element-commands/webelement.md): The property that is the current instance of Selenium's WebElement that Element is wrapping.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pylenium.io/element-commands.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
